Attribute VB_Name = "general"
Option Explicit

Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lpFileName As String) As Long


Global Const SWP_NOMOVE = 2
Global Const SWP_NOSIZE = 1
Global Const FLAGS = SWP_NOMOVE Or SWP_NOSIZE
Global Const HWND_TOPMOST = -1
Global Const HWND_NOTOPMOST = -2

Declare Function SetWindowPos Lib "User32" (ByVal h%, ByVal hb%, ByVal x%, ByVal y%, ByVal cx%, ByVal cy%, ByVal f%) As Integer


Function ReadINI(topic As String, subtopic As String, xFileName As String) As String
    Dim sData As String
    Dim lDataLen As Long
    
    sData = Space$(255)
    lDataLen = GetPrivateProfileString(topic, subtopic, "", sData, Len(sData), App.Path & "\" & xFileName)
    ReadINI = Left$(sData, lDataLen)
End Function

Sub WriteINI(topic As String, subtopic As String, sData As String, xFileName As String)
    WritePrivateProfileString topic, subtopic, sData, App.Path & "\" & xFileName
End Sub
Sub RegNick(nick As String, pass As String)
 
 End Sub
Sub RegChan(chan As String, pass As String)

End Sub
